package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC输入输出适配器
 * 
 * @author sxp
 * @since May 22, 2018
 */
@Deprecated
@Table("hmc_io_adapter")
public class HmcIoAdapter {
    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("adapter_id")
    private String adapterId;

    @Column("description")
    private String description;

    @Column("device_name")
    private String deviceName;

    @Column("hmc_io_bus_id")
    private Long hmcIoBusId;

    @Column("hmc_server_id")
    private Long hmcServerId;

    @IgnoreAll
    private String ioBusId;

    public HmcIoAdapter() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(String adapterId) {
        this.adapterId = adapterId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Long getHmcIoBusId() {
        return hmcIoBusId;
    }

    public void setHmcIoBusId(Long hmcIoBusId) {
        this.hmcIoBusId = hmcIoBusId;
    }

    public Long getHmcServerId() {
        return hmcServerId;
    }

    public void setHmcServerId(Long hmcServerId) {
        this.hmcServerId = hmcServerId;
    }

    public String getIoBusId() {
        return ioBusId;
    }

    public void setIoBusId(String ioBusId) {
        this.ioBusId = ioBusId;
    }

}
